import { IntervalArg, IntervalData } from './interval-common';
export interface Interval extends IntervalData {
}
export declare class Interval {
    private seconds;
    static from(input: IntervalArg): Interval;
    constructor(input: IntervalArg);
    toMilliseconds(): number;
    toSeconds(): number;
    toMinutes(): number;
    toHours(): number;
    isEqual(interval: Interval): boolean;
    toString(): string;
}
export declare function intervalSum(intervalArgs: IntervalArg[]): Interval;
export declare function intervalToSeconds(data: IntervalData): number;
export declare function intervalDump(data: IntervalData): string | null;
